// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: accelfin-server-demo-fx-dtos.proto

package com.accelfin.server.demo.fx.dtos;

/**
 * Protobuf type {@code com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto}
 */
public  final class GetHistoricalPricesResponseDto extends
    com.google.protobuf.GeneratedMessage implements
    // @@protoc_insertion_point(message_implements:com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto)
    GetHistoricalPricesResponseDtoOrBuilder {
  // Use GetHistoricalPricesResponseDto.newBuilder() to construct.
  private GetHistoricalPricesResponseDto(com.google.protobuf.GeneratedMessage.Builder<?> builder) {
    super(builder);
  }
  private GetHistoricalPricesResponseDto() {
    prices_ = java.util.Collections.emptyList();
  }

  @java.lang.Override
  public final com.google.protobuf.UnknownFieldSet
  getUnknownFields() {
    return com.google.protobuf.UnknownFieldSet.getDefaultInstance();
  }
  private GetHistoricalPricesResponseDto(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    this();
    int mutable_bitField0_ = 0;
    try {
      boolean done = false;
      while (!done) {
        int tag = input.readTag();
        switch (tag) {
          case 0:
            done = true;
            break;
          default: {
            if (!input.skipField(tag)) {
              done = true;
            }
            break;
          }
          case 10: {
            if (!((mutable_bitField0_ & 0x00000001) == 0x00000001)) {
              prices_ = new java.util.ArrayList<com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto>();
              mutable_bitField0_ |= 0x00000001;
            }
            prices_.add(input.readMessage(com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.parser(), extensionRegistry));
            break;
          }
        }
      }
    } catch (com.google.protobuf.InvalidProtocolBufferException e) {
      throw e.setUnfinishedMessage(this);
    } catch (java.io.IOException e) {
      throw new com.google.protobuf.InvalidProtocolBufferException(
          e).setUnfinishedMessage(this);
    } finally {
      if (((mutable_bitField0_ & 0x00000001) == 0x00000001)) {
        prices_ = java.util.Collections.unmodifiableList(prices_);
      }
      makeExtensionsImmutable();
    }
  }
  public static final com.google.protobuf.Descriptors.Descriptor
      getDescriptor() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_descriptor;
  }

  protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internalGetFieldAccessorTable() {
    return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_fieldAccessorTable
        .ensureFieldAccessorsInitialized(
            com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto.class, com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto.Builder.class);
  }

  public static final int PRICES_FIELD_NUMBER = 1;
  private java.util.List<com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto> prices_;
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
   */
  public java.util.List<com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto> getPricesList() {
    return prices_;
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
   */
  public java.util.List<? extends com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder> 
      getPricesOrBuilderList() {
    return prices_;
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
   */
  public int getPricesCount() {
    return prices_.size();
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
   */
  public com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto getPrices(int index) {
    return prices_.get(index);
  }
  /**
   * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
   */
  public com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder getPricesOrBuilder(
      int index) {
    return prices_.get(index);
  }

  private byte memoizedIsInitialized = -1;
  public final boolean isInitialized() {
    byte isInitialized = memoizedIsInitialized;
    if (isInitialized == 1) return true;
    if (isInitialized == 0) return false;

    memoizedIsInitialized = 1;
    return true;
  }

  public void writeTo(com.google.protobuf.CodedOutputStream output)
                      throws java.io.IOException {
    for (int i = 0; i < prices_.size(); i++) {
      output.writeMessage(1, prices_.get(i));
    }
  }

  public int getSerializedSize() {
    int size = memoizedSize;
    if (size != -1) return size;

    size = 0;
    for (int i = 0; i < prices_.size(); i++) {
      size += com.google.protobuf.CodedOutputStream
        .computeMessageSize(1, prices_.get(i));
    }
    memoizedSize = size;
    return size;
  }

  private static final long serialVersionUID = 0L;
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return PARSER.parseFrom(data, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseDelimitedWithIOException(PARSER, input, extensionRegistry);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input);
  }
  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessage
        .parseWithIOException(PARSER, input, extensionRegistry);
  }

  public Builder newBuilderForType() { return newBuilder(); }
  public static Builder newBuilder() {
    return DEFAULT_INSTANCE.toBuilder();
  }
  public static Builder newBuilder(com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto prototype) {
    return DEFAULT_INSTANCE.toBuilder().mergeFrom(prototype);
  }
  public Builder toBuilder() {
    return this == DEFAULT_INSTANCE
        ? new Builder() : new Builder().mergeFrom(this);
  }

  @java.lang.Override
  protected Builder newBuilderForType(
      com.google.protobuf.GeneratedMessage.BuilderParent parent) {
    Builder builder = new Builder(parent);
    return builder;
  }
  /**
   * Protobuf type {@code com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessage.Builder<Builder> implements
      // @@protoc_insertion_point(builder_implements:com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto)
      com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDtoOrBuilder {
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_descriptor;
    }

    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_fieldAccessorTable
          .ensureFieldAccessorsInitialized(
              com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto.class, com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto.Builder.class);
    }

    // Construct using com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto.newBuilder()
    private Builder() {
      maybeForceBuilderInitialization();
    }

    private Builder(
        com.google.protobuf.GeneratedMessage.BuilderParent parent) {
      super(parent);
      maybeForceBuilderInitialization();
    }
    private void maybeForceBuilderInitialization() {
      if (com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders) {
        getPricesFieldBuilder();
      }
    }
    public Builder clear() {
      super.clear();
      if (pricesBuilder_ == null) {
        prices_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000001);
      } else {
        pricesBuilder_.clear();
      }
      return this;
    }

    public com.google.protobuf.Descriptors.Descriptor
        getDescriptorForType() {
      return com.accelfin.server.demo.fx.dtos.AccelfinServerDemoFxDtos.internal_static_com_accelfin_server_demo_fx_dtos_GetHistoricalPricesResponseDto_descriptor;
    }

    public com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto getDefaultInstanceForType() {
      return com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto.getDefaultInstance();
    }

    public com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto build() {
      com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto result = buildPartial();
      if (!result.isInitialized()) {
        throw newUninitializedMessageException(result);
      }
      return result;
    }

    public com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto buildPartial() {
      com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto result = new com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto(this);
      int from_bitField0_ = bitField0_;
      if (pricesBuilder_ == null) {
        if (((bitField0_ & 0x00000001) == 0x00000001)) {
          prices_ = java.util.Collections.unmodifiableList(prices_);
          bitField0_ = (bitField0_ & ~0x00000001);
        }
        result.prices_ = prices_;
      } else {
        result.prices_ = pricesBuilder_.build();
      }
      onBuilt();
      return result;
    }

    public Builder mergeFrom(com.google.protobuf.Message other) {
      if (other instanceof com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto) {
        return mergeFrom((com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto)other);
      } else {
        super.mergeFrom(other);
        return this;
      }
    }

    public Builder mergeFrom(com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto other) {
      if (other == com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto.getDefaultInstance()) return this;
      if (pricesBuilder_ == null) {
        if (!other.prices_.isEmpty()) {
          if (prices_.isEmpty()) {
            prices_ = other.prices_;
            bitField0_ = (bitField0_ & ~0x00000001);
          } else {
            ensurePricesIsMutable();
            prices_.addAll(other.prices_);
          }
          onChanged();
        }
      } else {
        if (!other.prices_.isEmpty()) {
          if (pricesBuilder_.isEmpty()) {
            pricesBuilder_.dispose();
            pricesBuilder_ = null;
            prices_ = other.prices_;
            bitField0_ = (bitField0_ & ~0x00000001);
            pricesBuilder_ = 
              com.google.protobuf.GeneratedMessage.alwaysUseFieldBuilders ?
                 getPricesFieldBuilder() : null;
          } else {
            pricesBuilder_.addAllMessages(other.prices_);
          }
        }
      }
      onChanged();
      return this;
    }

    public final boolean isInitialized() {
      return true;
    }

    public Builder mergeFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto parsedMessage = null;
      try {
        parsedMessage = PARSER.parsePartialFrom(input, extensionRegistry);
      } catch (com.google.protobuf.InvalidProtocolBufferException e) {
        parsedMessage = (com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto) e.getUnfinishedMessage();
        throw e.unwrapIOException();
      } finally {
        if (parsedMessage != null) {
          mergeFrom(parsedMessage);
        }
      }
      return this;
    }
    private int bitField0_;

    private java.util.List<com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto> prices_ =
      java.util.Collections.emptyList();
    private void ensurePricesIsMutable() {
      if (!((bitField0_ & 0x00000001) == 0x00000001)) {
        prices_ = new java.util.ArrayList<com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto>(prices_);
        bitField0_ |= 0x00000001;
       }
    }

    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder> pricesBuilder_;

    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public java.util.List<com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto> getPricesList() {
      if (pricesBuilder_ == null) {
        return java.util.Collections.unmodifiableList(prices_);
      } else {
        return pricesBuilder_.getMessageList();
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public int getPricesCount() {
      if (pricesBuilder_ == null) {
        return prices_.size();
      } else {
        return pricesBuilder_.getCount();
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto getPrices(int index) {
      if (pricesBuilder_ == null) {
        return prices_.get(index);
      } else {
        return pricesBuilder_.getMessage(index);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public Builder setPrices(
        int index, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto value) {
      if (pricesBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensurePricesIsMutable();
        prices_.set(index, value);
        onChanged();
      } else {
        pricesBuilder_.setMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public Builder setPrices(
        int index, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder builderForValue) {
      if (pricesBuilder_ == null) {
        ensurePricesIsMutable();
        prices_.set(index, builderForValue.build());
        onChanged();
      } else {
        pricesBuilder_.setMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public Builder addPrices(com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto value) {
      if (pricesBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensurePricesIsMutable();
        prices_.add(value);
        onChanged();
      } else {
        pricesBuilder_.addMessage(value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public Builder addPrices(
        int index, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto value) {
      if (pricesBuilder_ == null) {
        if (value == null) {
          throw new NullPointerException();
        }
        ensurePricesIsMutable();
        prices_.add(index, value);
        onChanged();
      } else {
        pricesBuilder_.addMessage(index, value);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public Builder addPrices(
        com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder builderForValue) {
      if (pricesBuilder_ == null) {
        ensurePricesIsMutable();
        prices_.add(builderForValue.build());
        onChanged();
      } else {
        pricesBuilder_.addMessage(builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public Builder addPrices(
        int index, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder builderForValue) {
      if (pricesBuilder_ == null) {
        ensurePricesIsMutable();
        prices_.add(index, builderForValue.build());
        onChanged();
      } else {
        pricesBuilder_.addMessage(index, builderForValue.build());
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public Builder addAllPrices(
        java.lang.Iterable<? extends com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto> values) {
      if (pricesBuilder_ == null) {
        ensurePricesIsMutable();
        com.google.protobuf.AbstractMessageLite.Builder.addAll(
            values, prices_);
        onChanged();
      } else {
        pricesBuilder_.addAllMessages(values);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public Builder clearPrices() {
      if (pricesBuilder_ == null) {
        prices_ = java.util.Collections.emptyList();
        bitField0_ = (bitField0_ & ~0x00000001);
        onChanged();
      } else {
        pricesBuilder_.clear();
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public Builder removePrices(int index) {
      if (pricesBuilder_ == null) {
        ensurePricesIsMutable();
        prices_.remove(index);
        onChanged();
      } else {
        pricesBuilder_.remove(index);
      }
      return this;
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder getPricesBuilder(
        int index) {
      return getPricesFieldBuilder().getBuilder(index);
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder getPricesOrBuilder(
        int index) {
      if (pricesBuilder_ == null) {
        return prices_.get(index);  } else {
        return pricesBuilder_.getMessageOrBuilder(index);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public java.util.List<? extends com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder> 
         getPricesOrBuilderList() {
      if (pricesBuilder_ != null) {
        return pricesBuilder_.getMessageOrBuilderList();
      } else {
        return java.util.Collections.unmodifiableList(prices_);
      }
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder addPricesBuilder() {
      return getPricesFieldBuilder().addBuilder(
          com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.getDefaultInstance());
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder addPricesBuilder(
        int index) {
      return getPricesFieldBuilder().addBuilder(
          index, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.getDefaultInstance());
    }
    /**
     * <code>repeated .com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto prices = 1;</code>
     */
    public java.util.List<com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder> 
         getPricesBuilderList() {
      return getPricesFieldBuilder().getBuilderList();
    }
    private com.google.protobuf.RepeatedFieldBuilder<
        com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder> 
        getPricesFieldBuilder() {
      if (pricesBuilder_ == null) {
        pricesBuilder_ = new com.google.protobuf.RepeatedFieldBuilder<
            com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDto.Builder, com.accelfin.server.demo.fx.dtos.FxHistoricalPriceDtoOrBuilder>(
                prices_,
                ((bitField0_ & 0x00000001) == 0x00000001),
                getParentForChildren(),
                isClean());
        prices_ = null;
      }
      return pricesBuilder_;
    }
    public final Builder setUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }

    public final Builder mergeUnknownFields(
        final com.google.protobuf.UnknownFieldSet unknownFields) {
      return this;
    }


    // @@protoc_insertion_point(builder_scope:com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto)
  }

  // @@protoc_insertion_point(class_scope:com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto)
  private static final com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto DEFAULT_INSTANCE;
  static {
    DEFAULT_INSTANCE = new com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto();
  }

  public static com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static final com.google.protobuf.Parser<GetHistoricalPricesResponseDto>
      PARSER = new com.google.protobuf.AbstractParser<GetHistoricalPricesResponseDto>() {
    public GetHistoricalPricesResponseDto parsePartialFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
        return new GetHistoricalPricesResponseDto(input, extensionRegistry);
    }
  };

  public static com.google.protobuf.Parser<GetHistoricalPricesResponseDto> parser() {
    return PARSER;
  }

  @java.lang.Override
  public com.google.protobuf.Parser<GetHistoricalPricesResponseDto> getParserForType() {
    return PARSER;
  }

  public com.accelfin.server.demo.fx.dtos.GetHistoricalPricesResponseDto getDefaultInstanceForType() {
    return DEFAULT_INSTANCE;
  }

}

